### Method

# Pango AttrIterator range

#### Declaration [src]

    void
    pango_attr_iterator_range (
      PangoAttrIterator* iterator,
      int* start,
      int* end
    )

#### Description [src]

Get the range of the current segment.

Note that the stored return values are signed, not unsigned like the values in `PangoAttribute`. To deal with this API oversight, stored return values that wouldn’t fit into a signed integer are clamped to `G_MAXINT`.

#### Parameters

`start`

  Type: `int*`

  Location to store the start of the range.

  The argument will be set by the function.

`end`

  Type: `int*`

  Location to store the end of the range.

  The argument will be set by the function.